"""Correctly use UUID keys in join table

Revision ID: a034d08cbfd1
Revises: 8a3fbf75e80b
Create Date: 2025-03-25 16:15:35.931493

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = "a034d08cbfd1"
down_revision: Union[str, None] = "8a3fbf75e80b"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("topic_activity", schema=None) as batch_op:
        batch_op.alter_column(
            "topic_id",
            existing_type=sa.VARCHAR(),
            type_=sa.Uuid(),
            existing_nullable=False,
        )
        batch_op.alter_column(
            "activity_id",
            existing_type=sa.VARCHAR(),
            type_=sa.Uuid(),
            existing_nullable=False,
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    """Downgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("topic_activity", schema=None) as batch_op:
        batch_op.alter_column(
            "activity_id",
            existing_type=sa.Uuid(),
            type_=sa.VARCHAR(),
            existing_nullable=False,
        )
        batch_op.alter_column(
            "topic_id",
            existing_type=sa.Uuid(),
            type_=sa.VARCHAR(),
            existing_nullable=False,
        )

    # ### end Alembic commands ###
